> ## Documentation Index
> Fetch the complete documentation index at: https://docs.boost.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Try to get claim signature without known transaction

> Query Dune for user transaction that can generate a valid claim signature



## OpenAPI

````yaml get /transactions
openapi: 3.1.0
info:
  title: Boost V2 API
  description: Get Boosts and sign claims for the Boost Validator
  termsOfService: https://rabbithole-assets.s3.amazonaws.com/BoostStudios_Terms_Of_Service.pdf
  contact:
    url: https://airtable.com/appPys6nAx8smVpTA/shrqpPGsDx2W6oY24
    email: support@boost.xyz
  version: 2.0.0
servers:
  - url: https://api-v2.boost.xyz
    description: Boost V2
security: []
paths:
  /transactions:
    get:
      tags:
        - RewardKit
      summary: Try to get claim signature without known transaction
      description: >-
        Query Dune for user transaction that can generate a valid claim
        signature
      operationId: findTxAndGetSignature
      parameters:
        - schema:
            type: string
            description: System reward ID in the format chainId:boostCoreAddress:identifier
            example: 8453:0x378632819f39c74c4f56b1429e760739c5fb51b7:1
          required: true
          description: BoostID in format chainId:boostCoreAddress:identifier
          in: query
          name: boostId
        - schema:
            type: string
            description: The address of the user attempting to generate a claim
            example: '0x378632819f39c74c4f56b1429e760739c5fb51b7'
            pattern: ^0x[a-fA-F0-9]{40}$
          required: true
          in: query
          name: address
        - schema:
            type: string
            description: The referrer's address
            example: '0xd8dA6BF26964aF9D7eEd9e03E53415D37aA96045'
            pattern: ^0x[a-fA-F0-9]{40}$
          required: false
          in: query
          name: referrer
      responses:
        '200':
          description: Successfully found valid transaction and generated a claim signature
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    signature:
                      type: string
                      description: >-
                        Claim signature that can be used with the Boost Protocol
                        V2's claim/claimIncentiveFor methods
                    claimant:
                      type: string
                      description: The address for the user making the claim
                      example: '0x378632819f39c74c4f56b1429e760739c5fb51b7'
                      pattern: ^0x[a-fA-F0-9]{40}$
                    referrer:
                      type: string
                      description: The address of the referrer
                      example: '0x378632819f39c74c4f56b1429e760739c5fb51b7'
                      pattern: ^0x[a-fA-F0-9]{40}$
                    incentiveId:
                      type: number
                      description: The index of the incentive being claimed, typically 0
                  required:
                    - signature
                    - claimant
                    - referrer
                    - incentiveId
        '202':
          description: No valid transactions with which to generate signature
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                  message:
                    type: string
                required:
                  - success
        '400':
          description: Validation failed
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    anyOf:
                      - type: string
                      - type: object
                        properties:
                          message:
                            type: string
                            description: Human readable message for error that occured
                          code:
                            type: number
                            description: >-
                              Error code for error that occured, will typically
                              be the HTTP status code
                        required:
                          - message
                    description: >-
                      A generic error object that can be used to represent any
                      error that occurs in the system.
                required:
                  - error
        '404':
          description: Reward not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    anyOf:
                      - type: string
                      - type: object
                        properties:
                          message:
                            type: string
                            description: Human readable message for error that occured
                          code:
                            type: number
                            description: >-
                              Error code for error that occured, will typically
                              be the HTTP status code
                        required:
                          - message
                    description: >-
                      A generic error object that can be used to represent any
                      error that occurs in the system.
                required:
                  - error
        '410':
          description: Reward is not active
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    anyOf:
                      - type: string
                      - type: object
                        properties:
                          message:
                            type: string
                            description: Human readable message for error that occured
                          code:
                            type: number
                            description: >-
                              Error code for error that occured, will typically
                              be the HTTP status code
                        required:
                          - message
                    description: >-
                      A generic error object that can be used to represent any
                      error that occurs in the system.
                required:
                  - error
        '500':
          description: Upstream server error
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    anyOf:
                      - type: string
                      - type: object
                        properties:
                          message:
                            type: string
                            description: Human readable message for error that occured
                          code:
                            type: number
                            description: >-
                              Error code for error that occured, will typically
                              be the HTTP status code
                        required:
                          - message
                    description: >-
                      A generic error object that can be used to represent any
                      error that occurs in the system.
                required:
                  - error

````